<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
</head>
<body>
    <form>
        <H1>Adivinar el ingreso de un Numero</H1>
        <input type="number" name="" id="valor">
        <input type="button" id="myBtn" onclick="myFunction()" value="Hacer Click">
        <label>Ingresar un numero de 1 a 10</label>
        <p id="resultado"></p>
    </form>
    <Script>
/*
Que el usuario indique un número al 1 al 10. Por otra parte tirar un random (del 1 al 10).
Indicar en un Sweet alert si el número que ingresó el usuario es igual al random
*/
function myFunction(){
    var valor= document.getElementById('valor').value;
    var i = Math.ceil(Math.random() * 10); 
    console.log(i,valor)
    if ( i==parseInt(valor)){
        swal({
        title: "Si Acertaste !",
        text: "",
        icon: "success",
        button: "Felicitaciones!",
        });
    }else{
        swal({
        title: "NO Acertaste!",
        text: "Vuelve hacer Click en el Boton",
        icon: "error",
        button: "ERROR!",
        });
    }
}

    </Script>
</body>
</html>